Skip to main content
PATCH
Update a sprint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

sprint_id
string
required

Sprint ID

Query Parameters

project_id
string
required

Project ID is a numerical string that identifies a Project. This is externally referred to as a "Space".

Body

application/json

Sprint fields that need to be updated. All omitted fields are left unmodified.

title
string | null
Example:

"Sprint 1"

content
string | null
Example:

"This is the first sprint"

state
enum<string> | null
Available options:
canceled,
completed
Example:

"canceled"

start_date
integer<int64>

unix timestamp in seconds

Example:

1608742037016

end_date
integer<int64>

unix timestamp in seconds

Example:

1608742037016

Response

updated sprint response

sprint
object